
char *_efl_text_markup_util_text_to_markup(const char *text);

EAPI EAPI_WEAK char * efl_text_markup_util_text_to_markup(const char *text)
{
   const Efl_Class *klass = efl_text_markup_util_class_get();
   EINA_SAFETY_ON_NULL_RETURN_VAL(klass,NULL);
   return _efl_text_markup_util_text_to_markup(text);
}

char *_efl_text_markup_util_markup_to_text(const char *text);

EAPI EAPI_WEAK char * efl_text_markup_util_markup_to_text(const char *text)
{
   const Efl_Class *klass = efl_text_markup_util_class_get();
   EINA_SAFETY_ON_NULL_RETURN_VAL(klass,NULL);
   return _efl_text_markup_util_markup_to_text(text);
}

static Eina_Bool
_efl_text_markup_util_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifdef EFL_TEXT_MARKUP_UTIL_EXTRA_OPS
   EFL_OPS_DEFINE(ops, EFL_TEXT_MARKUP_UTIL_EXTRA_OPS);
   opsp = &ops;
#endif

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_text_markup_util_class_desc = {
   EO_VERSION,
   "Efl.Text_Markup_Util",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_text_markup_util_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_text_markup_util_class_get, &_efl_text_markup_util_class_desc, NULL, NULL);
